#!/usr/bin/ruby
require ::File.expand_path('../../config/environment.rb', __FILE__)
Dir[File.expand_path('lib/*.rb', File.dirname(__FILE__))].each do |file|
  require file
end

puts "\n***** Welcome to Tic Tac Toe! *****".blue

def load_mode
  puts "\nWhat mode would you like to play?".blue
  puts "For 0 player, type '0'"
  puts "For 1 player, type '1'"
  puts "For 2 player, type '2'"
  mode = gets.strip
  case mode
    when "0"
      game = Game.new(Players::Computer.new("X"), Players::Computer.new("O"))
    when "1"
      game = Game.new(Players::Computer.new("X"), Players::Human.new("O"))
    when "2"
      game = Game.new(Players::Human.new("X"), Players::Human.new("O"))
    else
      puts "\nError - please choose a mode.".blue
      game = load_mode
  end
  game
end

def play
  puts "\nDo you want to play? Type 'Y or N'".blue
  answer = gets.strip.upcase
  while answer != "N"
    game = load_mode
    game.play
    puts "\nDo you want to play? Type 'Y or N'".blue
    answer = gets.strip.upcase
  end
  puts "\nThanks for playing - goodbye.".blue
end

play
